% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/batchEffectRemoval.R
\name{batchEffectRemoval}
\alias{batchEffectRemoval}
\title{Corrects the batch effect of the data by using the selected method.}
\usage{
batchEffectRemoval(expressionMatrix, labels, method = "combat",
  clusters = 2)
}
\arguments{
\item{expressionMatrix}{The original expression matrix to treat the batch effect.}

\item{labels}{A vector that contains the labels of the samples in expressionMatrix.}

\item{method}{The method that will be used to remove the batch effect. The possibilities are "combat" or "sva". Next release will add RUV.}

\item{clusters}{The number of clusters intrinsic to the expression matrix data which could means different batches. The optimal number of clusters in the expression matrix can be calculated by calling the function \code{\link{dataPlot}}, with the parameter mode equal to "optimalClusters". This parameter is only required when the user selects the combat method.}
}
\value{
A matrix with the batch effect corrected for combat or a model for \code{\link{limmaDEGsExtraction}} function in the case of sva.
}
\description{
This function corrects the batch effect of the expression matrix indicated by parameter. There are two method to choose such as ComBat or SVA.
}
\examples{
dir <- system.file("extdata", package="KnowSeq")
load(paste(dir,"/expressionExample.RData",sep = ""))

expressionMatrixNoBatch <- batchEffectRemoval(expressionMatrix, labels, clusters = 4)
svaMod <- batchEffectRemoval(expressionMatrix, labels, method = "sva")
}
